Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## threeD.ui.panels
Class EditSurfacePanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      threeD.ui.panels.EditSurfacePanel

All Implemented Interfaces:
  javax.accessibility.Accessible, EventGenerator, EventListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class EditSurfacePanel
extends javax.swing.JPanel
implements EventListener, EventGenerator

An EditSurfacePanel object can be used to gather input from a user to specify the settings for an AbstractSurfaceUI object and the underlying AbstractSurface object.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`EditSurfacePanel(AbstractSurfaceUI s)` Constructs a new EditSurfacePanel object that can be used to modify the specified AbstractSurfaceUI object.

Method Summary
`void` | `apply()` Applies the changes made in this panel to the AbstractSurfaceUI object being edited and fires the necessary events if the current EventHandler is not set to null.
`void` | `eventFired(Event event)` Method called when an event has been fired.
`EventHandler` | `getEventHandler()` Returns the EventHandler object used by this EditSurfacePanel object.
`AbstractSurfaceUI` | `getSurface()` Returns the AbstractSurfaceUI object stored by this EditSurfacePanel object.
`void` | `setEventHandler(EventHandler handler)` Sets the EventHandler object used by this EditSurfacePanel object.
`void` | `setSurface(AbstractSurfaceUI surface)` Sets the AbstractSurfaceUI object that this EditSurfacePanel object modifies and updates the fields to reflect the change.
`void` | `updateAllFields()` Updates all fields of this panel so that they match the settings of the AbstractSurfaceUI object being edited.
`void` | `updateColorFields()` Updates the color fields of this panel so that they match the color values of the AbstractSurfaceUI object being edited.
`void` | `updateLocationFields()` Updates the location fields of this panel so that they match the location values of the AbstractSurfaceUI object being edited.
`void` | `updateNameField()` Updates the name field of this panel so that it matches the name of the AbstractSurfaceUI object being edited.
`void` | `updateShadeFields()` Updates the shading options fields of this panel so that they match the shading options of the AbstractSurfaceUI object being edited.
`void` | `updateSizeField()` Updates the size field of this panel so that it matches the size of the AbstractSurfaceUI object being edited.
`void` | `updateTypeField()` Updates the type field of this panel so that it matches the type of the AbstractSurfaceUI object being edited.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EditSurfacePanel

    public EditSurfacePanel(AbstractSurfaceUI s)

  Constructs a new EditSurfacePanel object that can be used to modify the specified AbstractSurfaceUI object.

Method Detail

### setSurface

    public void setSurface(AbstractSurfaceUI surface)

  Sets the AbstractSurfaceUI object that this EditSurfacePanel object modifies and updates the fields to reflect the change.

### getSurface

    public AbstractSurfaceUI getSurface()

  Returns the AbstractSurfaceUI object stored by this EditSurfacePanel object.

### apply

    public void apply()

  Applies the changes made in this panel to the AbstractSurfaceUI object being edited and fires the necessary events if the current EventHandler is not set to null.

### updateAllFields

    public void updateAllFields()

  Updates all fields of this panel so that they match the settings of the AbstractSurfaceUI object being edited. If the AbstractSurfaceUI object stored by this panel is null this method will do nothing.

### updateTypeField

    public void updateTypeField()

  Updates the type field of this panel so that it matches the type of the AbstractSurfaceUI object being edited.

### updateNameField

    public void updateNameField()

  Updates the name field of this panel so that it matches the name of the AbstractSurfaceUI object being edited.

### updateLocationFields

    public void updateLocationFields()

  Updates the location fields of this panel so that they match the location values of the AbstractSurfaceUI object being edited.

### updateColorFields

    public void updateColorFields()

  Updates the color fields of this panel so that they match the color values of the AbstractSurfaceUI object being edited.

### updateSizeField

    public void updateSizeField()

  Updates the size field of this panel so that it matches the size of the AbstractSurfaceUI object being edited.

### updateShadeFields

    public void updateShadeFields()

  Updates the shading options fields of this panel so that they match the shading options of the AbstractSurfaceUI object being edited.

### eventFired

    public void eventFired(Event event)

  Method called when an event has been fired.

  Specified by:
    `eventFired` in interface `EventListener`

### setEventHandler

    public void setEventHandler(EventHandler handler)

  Sets the EventHandler object used by this EditSurfacePanel object. Setting this to null will deactivate event reporting.

  Specified by:
    `setEventHandler` in interface `EventGenerator`

### getEventHandler

    public EventHandler getEventHandler()

  Returns the EventHandler object used by this EditSurfacePanel object.

  Specified by:
    `getEventHandler` in interface `EventGenerator`

Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2003-05 Mike Murray